Package org.opentcs.data.model

# Enum Vehicle.Orientation

java.lang.Object
java.lang.Enum<Vehicle.Orientation>
org.opentcs.data.model.Vehicle.Orientation

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Vehicle.Orientation>`, `java.lang.constant.Constable`

Enclosing class:
  Vehicle

    public static enum Vehicle.Orientation
    extends java.lang.Enum<Vehicle.Orientation>

The elements of this enumeration represent the possible orientations of a vehicle.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `BACKWARD` | Indicates that the vehicle is driving/standing oriented towards its back.
  `FORWARD` | Indicates that the vehicle is driving/standing oriented towards its front.
  `UNDEFINED` | Indicates that the vehicle's orientation is undefined/unknown.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static Vehicle.Orientation` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static Vehicle.Orientation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FORWARD

    public static final Vehicle.Orientation FORWARD
    Indicates that the vehicle is driving/standing oriented towards its front.

  - ### BACKWARD

    public static final Vehicle.Orientation BACKWARD
    Indicates that the vehicle is driving/standing oriented towards its back.

  - ### UNDEFINED

    public static final Vehicle.Orientation UNDEFINED
    Indicates that the vehicle's orientation is undefined/unknown.

- ## Method Details

  - ### values

    public static Vehicle.Orientation[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Vehicle.Orientation valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null